/* ==================================== */
/*		  	  Navigaton Menu		
/* ==================================== */

.menu-wrap {
	background-color: #000000;
	position: fixed;
	top: 0;
	height: 100%;
	width: 280px;
	margin-right: -280px;
	font-size: 1em;
	font-weight: 700;
	overflow: auto;
	transition: .25s;
	z-index: 10;
	right: 0;
}
.menu-show {
    margin-right: 0;
    box-shadow: 0px -6px 21px rgb(46 221 105 / 30%);
}
.menu-sidebar {
	margin: 0px 0 80px 10px;
	position: relative;
	top: 70px;
}
.menu-sidebar li {
    padding: 0 22px;
   
}
.menu-sidebar li > a {
    color: #f3f3f3;
    font-size: 18px;
    position: relative;
    font-weight: normal !important;
    text-decoration: none;
    font-family: 'Euclid_light';
    border-bottom: 1px solid #434343;
    padding: 30px 0;
    display: inline-block;
    width: 100%;
}
/*.menu-sidebar li > a::after {
	content: "";
	display: block;
	height: 0.15em;
	position: absolute;
	top: 100%;
	width: 100%;
	right: 50%;
	transform: translate(-50%);
	background-image: linear-gradient(to right, transparent 50.3%, #FFFA3B 50.3%);
	transition: background-position .2s .1s ease-out;
	background-size: 200% auto;
}*/
.menu-sidebar li > a:hover::after {
	background-position: -100% 0;
}
.menu-sidebar .menu-item-has-children {
	position: relative;
}
.menu-sidebar .menu-item-has-children .sub-menu {
	display: none;
}

.sidebar-menu-arrow:hover::after {
	cursor: pointer;
	color: #fff;
}
.sidebar-menu-arrow:active::after {
	top: 2px;
}


/*Hamburger Button*/
.toggle-button {
    position: fixed;
    width: 30px;
    height: 40px;
    top: 26px;
    right: 25px;
    padding: 4px;
    transition: .25s;
    z-index: 15;
}
.toggle-button:hover {
	cursor: pointer;
}
.toggle-button .menu-bar {
	position: absolute;
	border-radius: 2px;
	width: 80%;
	transition: .5s;
}
.toggle-button .menu-bar-top {
	border: 3px solid #ffffff;
	border-bottom: none;
	top: 0;
}
.toggle-button .menu-bar-middle {
	height: 3px;
	background-color: #ffffff;
	margin-top: 7px;
	margin-bottom: 7px;
	top: 4px;
	    width: 100%;
}
.toggle-button .menu-bar-bottom {
	border: 3px solid #ffffff;
	border-top: none;
	top: 22px;
}
.button-open {
	right: 25px;
}
.button-open .menu-bar-top {
	border-color: #fff;
	transform: rotate(45deg) translate(8px, 8px);
	transition: .5s;
}
.button-open .menu-bar-middle {
	background-color: #fff;
	transform: translate(230px);
	transition: .1s ease-in;
	opacity: 0;
}
.button-open .menu-bar-bottom {
	border-color: #fff;
	transform: rotate(-45deg) translate(7px, -7px);
	transition: .5s;
}
.menu-sidebar li:last-child a {
    border-bottom: 0;
}


/*
     FILE ARCHIVED ON 08:39:19 Sep 19, 2022 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 05:58:15 Mar 25, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  capture_cache.get: 0.359
  load_resource: 488.967
  PetaboxLoader3.resolve: 295.322
  PetaboxLoader3.datanode: 41.795 (2)
  loaddict: 173.618
*/